#
# note: disabling plugins will still build them if deps are met
#
# Conditional build:
%bcond_without	exec		# do not build exec plugin
%bcond_with	nx		# build nx plugin
%bcond_without	rdp		# do not build rdp plugin
%bcond_without	secret		# do not build secret plugin
%bcond_without	spice		# do not build spice plugin
%bcond_with	telepathy	# do not build telepathy plugin
%bcond_without	vnc		# do not build vnc plugin
%bcond_without	vte		# do not build vte plugin
%bcond_without	xdmcp		# do not build xdmcp plugin
#
Summary:	Remote Desktop Client
Name:		remmina
Version:	1.3.6
Release:	2
License:	GPLv2+ and MIT
Group:		X11/Applications
Source0:	https://gitlab.com/Remmina/Remmina/-/archive/v%{version}/Remmina-v%{version}.tar.bz2
# Source0-md5:	6da599c3a5cab2df37a70f8fba2f5438
# Cmake helper file to easy build plugins outside remmina source tree
# See http://www.muflone.com/remmina-plugin-rdesktop/english/install.html which
# use http://www.muflone.com/remmina-plugin-builder/ with remmina bundled source.
# So we can't use it directly only as instructions.
Source1:	pluginBuild-CMakeLists.txt
URL:		http://remmina.org
BuildRequires:	appstream-glib
BuildRequires:	avahi-ui-gtk3-devel >= 0.6.30
BuildRequires:	cmake >= 2.8
BuildRequires:	desktop-file-utils
%{?with_rdp:BuildRequires:	freerdp2-devel >= 2.0.0-0.20190320}
BuildRequires:	gettext
BuildRequires:	gtk+3-devel
BuildRequires:	intltool
BuildRequires:	json-glib-devel
BuildRequires:	libappindicator-gtk3-devel
BuildRequires:	libgcrypt-devel
%{?with_secret:BuildRequires:	libsecret-devel}
BuildRequires:	libsoup-devel
BuildRequires:	libssh-devel >= 0.6
%{?with_vnc:BuildRequires:	libvncserver-devel}
BuildRequires:	rpmbuild(macros) >= 1.742
%{?with_spice:BuildRequires:	spice-gtk-devel}
%{?with_telepathy:BuildRequires:	telepathy-glib-devel}
%{?with_vte:BuildRequires:	vte2.90-devel}
BuildRequires:	xorg-lib-libxkbfile-devel
Requires(post,postun):	gtk-update-icon-cache
Requires:	avahi-ui-gtk3 >= 0.6.30
Requires:	hicolor-icon-theme
Requires:	libssh >= 0.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

Remmina supports multiple network protocols in an integrated and
consistent user interface. Currently RDP, VNC, XDMCP and SSH are
supported.

Please don't forget to install the plugins for the protocols you want
to use.

%package        devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description    devel
The %{name}-devel package contains header files for developing plugins
for %{name}.

%package        plugins-exec
Summary:	External execution plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}

%description    plugins-exec
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the plugin to execute external processes
(commands or applications) from the Remmina window.

%package        plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}
Requires:	nxproxy

%description    plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the NX plugin for the Remmina remote desktop
client.

%package        plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}
Requires:	freerdp2-libs >= 2.0.0-0.20190320

%description    plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the Remote Desktop Protocol (RDP) plugin for the
Remmina remote desktop client.

%package        plugins-secret
Summary:	Keyring integration for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-plugins-gnome%{?_isa} = %{version}-%{release}
Obsoletes:	remmina-plugins-gnome < %{version}-%{release}

%description    plugins-secret
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the plugin with keyring support for the Remmina
remote desktop client.

%package        plugins-spice
Summary:	SPICE plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}

%description    plugins-spice
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the SPICE plugin for the Remmina remote desktop
client.

%package        plugins-telepathy
Summary:	Telepathy plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}

%description    plugins-telepathy
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the Telepathy plugin for the Remmina remote
desktop client.

%package        plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}

%description    plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the VNC plugin for the Remmina remote desktop
client.

%package        plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-xserver-Xephyr

%description    plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be
useful for system administrators and travelers, who need to work with
lots of remote computers in front of either large monitors or tiny
net-books.

This package contains the XDMCP plugin for the Remmina remote desktop
client.

%prep
%setup -qn Remmina-v%{version}
%{__sed} -i s/^pt_PT$// po/LINGUAS
%{__rm} -f po/pt_PT.po

%build
mkdir -p build

%cmake --build=build \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DWITH_APPINDICATOR=ON \
	-DWITH_AVAHI=ON \
	%{cmake_on_off rdp FREERDP} \
	-DWITH_GCRYPT=ON \
	-DWITH_GETTEXT=ON \
	-DWITH_LIBSSH=ON \
	%{cmake_on_off vnc LIBVNCSERVER} \
	%{cmake_on_off spice SPICE} \
	%{cmake_on_off telepathy TELEPATHY} \
	%{cmake_on_off vte VTE} \
	.

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_libdir}/cmake/%{name}/
cp -pr cmake/*.cmake $RPM_BUILD_ROOT/%{_libdir}/cmake/%{name}/
cp -pr config.h.in $RPM_BUILD_ROOT/%{_includedir}/%{name}/
cp -p %{SOURCE1} $RPM_BUILD_ROOT/%{_includedir}/%{name}/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENSE AUTHORS ChangeLog README.md
%attr(755,root,root) %{_bindir}/remmina-file-wrapper.sh
%attr(755,root,root) %{_bindir}/gnome-session-remmina
%attr(755,root,root) %{_bindir}/remmina
%attr(755,root,root) %{_bindir}/remmina-gnome
%{_datadir}/metainfo/*.appdata.xml
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/actions/*.*
%{_iconsdir}/hicolor/*/apps/*.*
%{_iconsdir}/hicolor/*/emblems/remmina-sftp-symbolic.svg
%{_iconsdir}/hicolor/*/emblems/remmina-ssh-symbolic.svg
%{_iconsdir}/hicolor/*/emblems/remmina-tool-symbolic.svg
%{_datadir}/mime/packages/*.xml
%{_datadir}/%{name}/
%{_datadir}/xsessions/remmina-gnome.desktop
%dir %{_libdir}/remmina/
%dir %{_libdir}/remmina/plugins/
%{_libdir}/remmina/plugins/remmina-plugin-st.so
%{_mandir}/man1/remmina.1*
%{_mandir}/man1/gnome-session-remmina.1*
%{_mandir}/man1/remmina-gnome.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}/
%{_pkgconfigdir}/%{name}.pc
%dir %{_libdir}/cmake/%{name}
%{_libdir}/cmake/%{name}/*.cmake

%if %{with exec}
%files plugins-exec
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-exec.so
%endif

%if %{with nx}
%files plugins-nx
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-nx.so
%{_iconsdir}/hicolor/*/emblems/remmina-nx-symbolic.svg
%endif

%if %{with rdp}
%files plugins-rdp
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/remmina-rdp-ssh-symbolic.svg
%{_iconsdir}/hicolor/*/emblems/remmina-rdp-symbolic.svg
%endif

%if %{with secret}
%files plugins-secret
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-secret.so
%endif

%if %{with spice}
%files plugins-spice
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-spice.so
%{_iconsdir}/hicolor/*/emblems/remmina-spice-symbolic.svg
%{_iconsdir}/hicolor/*/emblems/remmina-spice-ssh-symbolic.svg
%endif

%if %{with telepathy}
%files plugins-telepathy
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-telepathy.so
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Remmina.service
%{_datadir}/telepathy/clients/Remmina.client
%endif

%if %{with vnc}
%files plugins-vnc
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/remmina-vnc-ssh-symbolic.svg
%{_iconsdir}/hicolor/*/emblems/remmina-vnc-symbolic.svg
%endif

%if %{with xdmcp}
%files plugins-xdmcp
%defattr(644,root,root,755)
%{_libdir}/remmina/plugins/remmina-plugin-xdmcp.so
%{_iconsdir}/hicolor/*/emblems/remmina-xdmcp-ssh-symbolic.svg
%{_iconsdir}/hicolor/*/emblems/remmina-xdmcp-symbolic.svg
%endif

%changelog
* Sat Nov 23 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/remmina.git;a=log;h=master

* Sat Nov 23 2019 Jan Rękorajski <baggins@pld-linux.org> b57cab6
- don't build nx plugin since we don;t have nx in PLD at the moment
- rel 1

* Wed Nov 13 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d66ee20
- up to 1.3.6; telepath plugin disabled upstream; build nx plugin

* Wed Jul 17 2019 Jan Palus <atler@pld-linux.org> d8865db
- versioned runtime deps

* Wed Jul 17 2019 Jan Palus <atler@pld-linux.org> 791ee4d
- regenerate icon cache

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 762693b
- drop pt_PT translation, package %{_libdir}/cmake/remmina

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> c2acb0d
- package more files, add missing BuildRoot definition

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 6236602
- vte bcond

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 5296515
- handle vnc plugin in cmake call

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> ec36c31
- note on plugins bcond behaviour

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 6f8d793
- telepathy plugin

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 1c5458a
- actually use cmake_on_off

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 7c4bd58
- bconds for plugins, BR: rpmbuild(macros) >= 1.742 for cmake_on_off

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> c64abc6
- sorted package order

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> bff36d3
- new, based on fedora spec

